=== debian/changelog ===
genometools (1.5.9+ds-4) unstable; urgency=medium

  * Switch asciidoc dependency to asciidoc-base.
    Closes: #850341
  * Fix minor spelling issues in help output.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 06 Jan 2017 10:13:08 +0100

genometools (1.5.9+ds-3) unstable; urgency=medium

  * Remove hardcoded number of threads from testsuite call.
    Closes: #836283
  * Make build reproducible.
    - Remove absolute include path to make __FILE__ use relative paths.
    - Remove PDF trailer IDs.
    - Remove build directory from CFLAGS dumped to gt_config.h.
  * Enable verbose build output.
  * Add dependency on docbook-xml.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 01 Sep 2016 17:16:40 +0000

genometools (1.5.9+ds-2) unstable; urgency=medium

  * Use fixed date in split manual source.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 23 Jul 2016 10:54:26 +0000

genometools (1.5.9+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 22 Jul 2016 11:36:37 +0000

genometools (1.5.8+ds-4) unstable; urgency=medium

  * Make documentation builds reproducible.
    - Add extra date fields to developer's guide and
      matstat manual.
  * Update uploader email address.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 02 Jul 2016 12:24:14 +0000

genometools (1.5.8+ds-3) unstable; urgency=medium

  * Remove explicit -m32 and -m64.
  * Fix dates in manuals (cf upstream PR #780) for reproducibility.
  * Remove unnecessary maintainer scripts.
  * Update upstream metadata.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 27 Apr 2016 09:25:08 +0000
