## genometools 1.5.10%2Bds

=== debian/tests/control ===
Tests: build-lib
Depends: libgenometools0-dev, libgenometools0, build-essential

Tests: python-lib
Depends: python-genometools, python
