## genometools 1.5.10+ds

=== debian/changelog ===
genometools (1.5.10+ds-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Do not parse d/changelog
  * Remove unused patches

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 14:54:51 +0100

genometools (1.5.10+ds-2) unstable; urgency=medium

  * Ensure that src/external is not repopulated by patches.
    Closes: #883848
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 08 Dec 2017 12:58:57 +0100

genometools (1.5.10+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop and update patches applied upstream.
  * Bump Standards-Version.
  * Drop obsolete -dbg package.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 06 Aug 2017 16:33:26 +0200

genometools (1.5.9+ds-5) unstable; urgency=medium

  * Change test data to make run less problematic.
    This addresses an FTBFS in Ubuntu. Thanks to Graham Inggs for the hint.
  * Switch latex-xcolor dependency to texlive-latex-recommended.
    Thanks to Norbert Preining for the hint.
    Closes: #865248

 -- Sascha Steinbiss <satta@debian.org>  Tue, 10 Jan 2017 17:14:25 +0100
