=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                liblua5.1-0-dev,
                lua-md5-dev,
@@ -21,7 +21,7 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-fonts-extra,
-               latex-xcolor,
+               texlive-latex-recommended,
                texlive-fonts-recommended,
                python,
                asciidoc-base,
@@ -32,9 +32,9 @@
                docbook-xml,
                faketime,
                imagemagick
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/genometools.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/genometools.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/genometools
+Vcs-Git: https://salsa.debian.org/med-team/genometools.git
 Homepage: http://genometools.org
 
 Package: genometools
@@ -109,18 +109,6 @@
  annotation handling, sequence compression, index structure generation and
  access, annotation visualization, and much more.
 
-Package: genometools-dbg
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
-Section: debug
-Priority: extra
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         genometools (= ${binary:Version}) | libgenometools0 (= ${binary:Version})
-Description: versatile genome analysis toolkit, with debug symbols
- This package contains debug information stripped from the GenomeTools.
- You may decide to install it to help identifying issues, typically
- to help communication with upstream developers.
-
 Package: python-genometools
 Architecture: all
 Section: python
