=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,13 @@
 export DESTDIR=$(CURDIR)/debian/tmp
 export DH_ALWAYS_EXCLUDE=.gitignore
 export PATH := $(CURDIR)/debian/strip-nondeterminism:$(PATH)
-export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
+
+include /usr/share/dpkg/default.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DARCH:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH= | cut -f 2 -d'=')
 BITS:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH_BITS= | cut -f 2 -d'=')
-
 
 ifeq ($(DARCH),x32)
   X32:=yes
@@ -57,14 +58,13 @@
 	$(FAKETIME) dh_auto_build -- verbose=yes useshared=yes x32=$(X32) 64bit=$(64BIT) errorcheck=no all docs manuals
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	bin/gt -test
 	cd testsuite; ./testsuite.rb -keywords 'gt_sketch and not gt_python and not gt_ruby'
+endif
 
 override_dh_auto_install:
 	dh_auto_install -- installmanpages useshared=yes \
 	  x32=$(X32) 64bit=$(64BIT) errorcheck=no prefix=$(DESTDIR)/usr
 	dh_auto_install --sourcedirectory=gtpython \
 	  --destdir=$(CURDIR)/debian/python-genometools
-
-override_dh_strip:
-	dh_strip --dbg-package=genometools-dbg
