## genometools 1.6.0+ds

=== debian/changelog ===
genometools (1.6.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper-compat.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 06 Jan 2020 12:39:45 +0100

genometools (1.5.10+ds-5) unstable; urgency=medium

  * Source upload to enable transition to testing.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 17 Dec 2019 22:31:28 +0100

genometools (1.5.10+ds-4) unstable; urgency=medium

  * Build Python3 bindings package instead of Python2.
  * Use debhelper 12.
  * Bump Standards-Version.
  * Update lintian override location and tags.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 08 Sep 2019 17:11:59 +0200
