=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 endif
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_clean:
 	mkdir -p obj
@@ -66,5 +66,5 @@
 override_dh_auto_install:
 	dh_auto_install -- installmanpages useshared=yes \
 	  x32=$(X32) 64bit=$(64BIT) errorcheck=no prefix=$(DESTDIR)/usr
-	dh_auto_install --sourcedirectory=gtpython \
-	  --destdir=$(CURDIR)/debian/python-genometools
+	dh_auto_install --sourcedirectory=gtpython --buildsystem=pybuild \
+	  --destdir=$(CURDIR)/debian/python3-genometools
