## genometools 1.6.1%2Bds

=== debian/tests/control ===
Tests: build-lib
Depends: libgenometools0-dev, libgenometools0, build-essential

Tests: python-lib
Depends: python3-genometools, python3
