## genometools 1.6.1+ds

=== debian/changelog ===
genometools (1.6.1+ds-3) unstable; urgency=medium

  * Add patch to fix build on GCC 10.
    Closes: #957268

 -- Sascha Steinbiss <satta@debian.org>  Wed, 22 Jul 2020 13:00:06 +0200

genometools (1.6.1+ds-2) unstable; urgency=medium

  * Use static images for AnnotationSketch documentation.
    This improves reproducibility in cases where (on some platforms)
    different runs would create different images.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 09 Feb 2020 09:33:24 +0100

genometools (1.6.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 08 Jan 2020 21:20:57 +0100
