=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
                dh-python,
                liblua5.1-0-dev,
                lua-md5-dev,
@@ -23,7 +24,8 @@
                texlive-fonts-extra,
                texlive-latex-recommended,
                texlive-fonts-recommended,
-               python,
+               python3-all,
+               python3-setuptools,
                asciidoc-base,
                libxml2-utils,
                xsltproc,
@@ -32,7 +34,7 @@
                docbook-xml,
                faketime,
                imagemagick
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/genometools
 Vcs-Git: https://salsa.debian.org/med-team/genometools.git
 Homepage: http://genometools.org
@@ -109,15 +111,15 @@
  annotation handling, sequence compression, index structure generation and
  access, annotation visualization, and much more.
 
-Package: python-genometools
+Package: python3-genometools
 Architecture: all
 Section: python
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          libgenometools0
-Description: Python bindings for genometools
- Partial Python2 bindings for the GenomeTools library. Besides basic
+Description: Python3 bindings for genometools
+ Partial Python3 bindings for the GenomeTools library. Besides basic
  bioinformatics data structures, the library contains components for sequence
  and annotation handling, sequence compression, index structure generation and
  access, efficient matching, annotation visualization and much more.
