=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,7 @@
 	rm -rf obj
 
 override_dh_auto_build:
+	cp debian/doc-imgs/*png www/genometools.org/htdocs/images
 	$(FAKETIME) dh_auto_build -- verbose=yes useshared=yes x32=$(X32) 64bit=$(64BIT) errorcheck=no all docs manuals
 
 override_dh_auto_test:
