## genometools 1.6.2%2Bds

=== Makefile ===
--- 
+++ 
@@ -65,7 +65,7 @@
               -I$(CURDIR)/src/external/expat-2.0.1/lib \
               -I$(CURDIR)/src/external/bzip2-1.0.6 \
               -I$(CURDIR)/src/external/samtools-0.1.18 \
-              -I$(CURDIR)/src/external/sqlite-3.8.7.1 \
+              -I$(CURDIR)/src/external/sqlite-3.33.0 \
               -I$(CURDIR)/src/external/tre/include
 endif
 
@@ -78,6 +78,7 @@
 	            $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I pangocairo) \
 	            $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I glib-2.0)
   endif
+  GOTAGS:=-tags cairo
 endif
 
 ifneq ($(fpic),no)
@@ -188,7 +189,7 @@
 LIBBZ2_OBJ:=$(LIBBZ2_SRC:%.c=obj/%.o)
 LIBBZ2_DEP:=$(LIBBZ2_SRC:%.c=obj/%.d)
 
-SQLITE3_DIR:=src/external/sqlite-3.8.7.1
+SQLITE3_DIR:=src/external/sqlite-3.33.0
 SQLITE3_SRC:=$(SQLITE3_DIR)/sqlite3.c
 SQLITE3_OBJ:=$(SQLITE3_SRC:%.c=obj/%.o)
 SQLITE3_DEP:=$(SQLITE3_SRC:%.c=obj/%.d)
@@ -324,8 +325,10 @@
 ifneq ($(SYSTEM),Windows)
   EXP_CPPFLAGS += -DLUA_DL_DLOPEN
   ifneq ($(SYSTEM),FreeBSD)
+  ifneq ($(SYSTEM),OpenBSD)
     LUA_LDLIB:=-ldl
     EXP_LDLIBS += -ldl
+  endif
   endif
 endif
