=== debian/changelog ===
genometools (1.6.2+ds-3) unstable; urgency=medium

  [ Nilesh Patra ]
  * Use arch:any instead of the elaborate arch list that includes all
    release archs anyway
    Closes: #1024982

  [ Andreas Tille ]
  * Create proper file name in watch file
  * Delete debian/gbp.conf
  * Standards-Version: 4.6.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 15:54:54 +0100

genometools (1.6.2+ds-2) unstable; urgency=medium

  * Upload to unstable post-release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 17 Aug 2021 10:21:36 +0200

genometools (1.6.2+ds-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch applied upstream.
  * Bump Standards-Version.
  * Use debhelper 13.
  * Set Rules-Requires-Root: no.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 24 Jun 2021 20:38:56 +0200

genometools (1.6.1+ds-5~exp1) experimental; urgency=medium

  * Remove dependency on libpth20.
    Closes: #987297

 -- Sascha Steinbiss <satta@debian.org>  Wed, 21 Apr 2021 20:00:56 +0200
