=== debian/rules ===
--- 
+++ 
@@ -69,3 +69,6 @@
 	  x32=$(X32) 64bit=$(64BIT) errorcheck=no prefix=$(DESTDIR)/usr
 	dh_auto_install --sourcedirectory=gtpython --buildsystem=pybuild \
 	  --destdir=$(CURDIR)/debian/python3-genometools
+
+override_dh_missing:
+	dh_missing --list-missing
