## genometools 1.6.5+ds

=== Makefile ===
--- 
+++ 
@@ -22,12 +22,13 @@
   HAS_PKGCONFIG:=yes
   # Fix for Mac OS X manual building with Homebrew
   OLD_PKG_CONFIG_PATH:=$(PKG_CONFIG_PATH)
-  OVERRIDE_PC_PATH:=PKG_CONFIG_PATH=$(OLD_PKG_CONFIG_PATH):/usr/local/lib/pkgconfig:/opt/X11/lib/pkgconfig
+  OVERRIDE_PC_PATH:=PKG_CONFIG_PATH=$(OLD_PKG_CONFIG_PATH):/opt/homebrew/lib/pkgconfig:/usr/local/lib/pkgconfig:/opt/X11/lib/pkgconfig
 else
   HAS_PKGCONFIG:=no
 endif
 
 # add necessary shared lib dependencies instead of building them ourselves
+ZLIB_DIR:=src/external/zlib-1.3.0.1
 ifeq ($(useshared),yes)
   ifeq ($(HAS_PKGCONFIG),yes)
     DEPLIBS:=-lbz2 \
@@ -57,7 +58,7 @@
   endif
 else
   DEPLIBS:=
-  INCLUDEOPT+=-I$(CURDIR)/src/external/zlib-1.2.8 \
+  INCLUDEOPT+=-I$(CURDIR)/${ZLIB_DIR} \
               -I$(CURDIR)/src/external/md5-1.2/src \
               -I$(CURDIR)/src/external/lua-5.1.5/src \
               -I$(CURDIR)/src/external/luafilesystem-1.5.0/src \
@@ -115,7 +116,7 @@
 
 # try to set RANLIB automatically
 SYSTEM?=$(shell uname -s)
-MACHINE:=$(shell uname -m)
+MACHINE?=$(shell uname -m)
 ifeq ($(SYSTEM),Darwin)
   RANLIB:=ranlib
   NO_STATIC_LINKING:=defined
@@ -194,7 +195,6 @@
 SQLITE3_OBJ:=$(SQLITE3_SRC:%.c=obj/%.o)
 SQLITE3_DEP:=$(SQLITE3_SRC:%.c=obj/%.d)
 
-ZLIB_DIR:=src/external/zlib-1.2.8
 ZLIB_SRC:=$(ZLIB_DIR)/adler32.c $(ZLIB_DIR)/compress.c $(ZLIB_DIR)/crc32.c \
           $(ZLIB_DIR)/gzclose.c $(ZLIB_DIR)/gzlib.c $(ZLIB_DIR)/gzread.c \
           $(ZLIB_DIR)/gzwrite.c $(ZLIB_DIR)/uncompr.c $(ZLIB_DIR)/deflate.c \
@@ -362,4 +362,3 @@
   SQLITE_CFLAGS += -m32
 endif
 
-ifeq ($(m64),yes)
