=== debian/changelog ===
genometools (1.6.5+ds-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove wrong hard-coded test dep.

 -- Steve Langasek <vorlon@debian.org>  Sat, 27 Apr 2024 01:41:52 +0000

genometools (1.6.5+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062071

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:25:48 +0000

genometools (1.6.5+ds-2) unstable; urgency=medium

  * Facilitate building twice from the same source directory.
    Closes: #1044467

 -- Sascha Steinbiss <satta@debian.org>  Thu, 26 Oct 2023 00:08:09 +0200

genometools (1.6.5+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 24 Oct 2023 13:28:17 +0200

genometools (1.6.4+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop README from docs list (removed upstream).

 -- Sascha Steinbiss <satta@debian.org>  Sun, 08 Oct 2023 22:58:24 +0200

genometools (1.6.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 19 Sep 2023 23:26:57 +0200
