=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12),
-               debhelper-compat (= 12),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 13),
+               debhelper-compat (= 13),
                dh-python,
                liblua5.1-0-dev,
                lua-md5-dev,
@@ -34,13 +34,14 @@
                docbook-xml,
                faketime,
                imagemagick
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/genometools
 Vcs-Git: https://salsa.debian.org/med-team/genometools.git
 Homepage: http://genometools.org
 
 Package: genometools
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          genometools-common
@@ -60,7 +61,6 @@
          zlib1g,
          libbz2-1.0,
          libexpat1,
-         libpth20,
          libsqlite3-0,
          libpango-1.0-0,
          libpangocairo-1.0-0,
@@ -70,8 +70,11 @@
  transformations, style files, etc. required to use the GenomeTools
  executable and/or library.
 
-Package: libgenometools0
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
+Package: libgenometools0t64
+Provides: ${t64:Provides}
+Replaces: libgenometools0
+Breaks: libgenometools0 (<< ${source:Version})
+Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -87,11 +90,11 @@
  more.
 
 Package: libgenometools0-dev
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
+Architecture: any
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgenometools0 (= ${binary:Version})
+         libgenometools0t64 (= ${binary:Version})
 Description: development files for GenomeTools
  This package contains the GenomeTools static library and necessary
  header files.
@@ -105,6 +108,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: documentation for GenomeTools
  This package contains API documentation and tool documentation for
  GenomeTools. The GenomeTools toolkit contains binaries for sequence and
@@ -117,7 +121,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         libgenometools0
+         libgenometools0t64
 Description: Python3 bindings for genometools
  Partial Python3 bindings for the GenomeTools library. Besides basic
  bioinformatics data structures, the library contains components for sequence
