## genometools 1.6.6%2Bds

=== debian/tests/control ===
Tests: build-lib
Depends: libgenometools0-dev, build-essential

Tests: python-lib
Depends: python3-genometools, python3
