## genometools 1.6.6+ds

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 endif
 
 # add necessary shared lib dependencies instead of building them ourselves
-ZLIB_DIR:=src/external/zlib-1.3.0.1
+ZLIB_DIR:=src/external/zlib-1.3.1
 ifeq ($(useshared),yes)
   ifeq ($(HAS_PKGCONFIG),yes)
     DEPLIBS:=-lbz2 \
@@ -99,7 +99,7 @@
 EXP_CPPFLAGS:=$(CPPFLAGS)
 EXP_LDLIBS:=$(LIBS) -lm
 # ...while those starting with GT_ are for internal purposes only
-GT_CFLAGS:=-g -Wall -Wunused-parameter -pipe $(FPIC) -Wpointer-arith -Wno-unknown-pragmas
+GT_CFLAGS:=-g -Wall -Wunused-parameter -pipe $(FPIC) -Wpointer-arith -Wno-unknown-pragmas -Wno-macro-redefined
 # expat needs -DHAVE_MEMMOVE
 # zlib needs -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
 EXT_FLAGS:= -DHAVE_MEMMOVE -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
@@ -230,7 +230,7 @@
 GTSHAREDLIB_LIBDEP += $(DEPLIBS)
 
 SERVER=satta@genometools.org
-WWWBASEDIR=/var/www/servers
+WWWBASEDIR=/var/www/
 
 # process arguments
 ifeq ($(assert),no)
@@ -360,5 +360,3 @@
   GT_CFLAGS += -m32
   GT_LDFLAGS += -m32
   SQLITE_CFLAGS += -m32
-endif
-
