=== debian/changelog ===
genometools (1.6.6+ds-2) unstable; urgency=medium

  * Add patch to fix building with non-deterministic ordering.
    Closes: #1105339
  * Add missing Origin field to patch use-mx32.
  * Remove libgenometools0t64.lintian-overrides.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 10 Nov 2025 00:35:41 +0100

genometools (1.6.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches applied upstream.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 06 Oct 2025 20:40:58 +0200

genometools (1.6.5+ds-3) unstable; urgency=medium

  * Add patch to fix FTBFS.
    Closes: #1114122
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 30 Sep 2025 19:28:58 +0200

genometools (1.6.5+ds-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lukas Märdian <slyon@debian.org>  Wed, 31 Jan 2024 09:13:33 +0000
