=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                docbook-xml,
                faketime,
                imagemagick
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/genometools
 Vcs-Git: https://salsa.debian.org/med-team/genometools.git
